Subject: bug#7559: closed (Re: bug#7559: !!Reveal-show - Error during redisplay)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 19 Feb 2013 02:29:02 +0000

Your bug report

#7559: !!Reveal-show - Error during redisplay

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7559: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7559
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7559: !!Reveal-show - Error during redisplay
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 18 Feb 2013 21:26:55 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Can't do anything without a recipe to reproduce this.
Please reopen, or make a new report, if you get one.

Subject: !!Reveal-show - Error during redisplay
From: Lennart Borgman <[email-masked]>
To: Emacs Bugs <[email-masked]>
Date: Sun, 5 Dec 2010 16:25:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Just got something like this:

...
!!Reveal-show (funcall outline-reveal-toggle-invisible #<overlay from
1 to 14048 in div.org> nil): (error before first heading) !!
!!Reveal-show (funcall outline-reveal-toggle-invisible #<overlay from
1 to 14048 in div.org> nil): (error before first heading) !!
!!Reveal-show (funcall outline-reveal-toggle-invisible #<overlay from
1 to 14048 in div.org> nil): (error before first heading) !!
!!Reveal-show (funcall outline-reveal-toggle-invisible #<overlay from
1 to 14048 in div.org> nil): (error before first heading) !!
Error during redisplay: (quit) [2 times]

This was in an org-mode buffer as you can see above.

I think I was deleting to the end of line by typing D in viper, but I
am not quite sure. (Emacs nearly hanged.)

This Emacs was built from sources in bazaar identified as:

Nick 'trunk' info:
  revision id: [email-masked]
        revno: 101998
         date: 2010-10-19 08:19:45 +0000

Nick 'emacsw32' (from 'trunk') info:
  revision id: [email-masked]
        revno: 99341
         date: 2010-10-19 16:09:03 +0200

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 from trunk 2010-10-19  (patched)
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags
-Ic:/g/include -fno-crossjumping'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Org

Minor modes in effect:
  nxhtml-tag-do-also: t
  popcmp-group-alternatives: t
  popcmp-short-help-beside-alts: t
  rngalt-minimal-validation-header: t
  rngalt-display-validation-header: t
  mlinks-active-links: t
  winsav-save-mode: t
  desktop-save-mode: t
  yas/global-mode: t
  yas/minor-mode: t
  server-mode: t
  winpoint-mode: t
  nxhtml-menu-mode: t
  tabkey2-mode: t
  sml-modeline-mode: t
  sex-mode: t
  rebind-keys-mode: t
  ourcomments-windmove-mode: t
  ourcomments-M-x-menu-mode: t
  ourcomments-paste-with-convert-mode: t
  ourcomments-ido-ctrl-tab: t
  better-fringes-mode: t
  as-external-mode: t
  visual-indent-mode: t
  wrap-to-fill-column-mode: t
  appmenu-mode: t
  which-function-mode: t
  show-paren-mode: t
  recentf-mode: t
  global-reveal-mode: t
  reveal-mode: t
  cua-mode: t
  my-keys-mode: t
  menuacc-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  noticeable-minibuffer-prompts-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  abbrev-mode: t